a.nav-link {
    color: var(--color-white);
    font-size: var(--font-size-sm);
    text-decoration: underline;
}

    a.nav-link:hover,
    a.nav-link:focus {
        font-size: var(--font-size-sm);
        color: var(--color-white) !important;
        background-color: var(--color-green-900);
    }

    a.nav-link.nav-link-small {
        font-size: var(--font-size-xs);
    }

        a.nav-link.nav-link-small:hover,
        a.nav-link.nav-link-small:focus {
            font-size: var(--font-size-xs);
        }

.company-logo {
    width: 100px;
}

header {
    background-color: var(--color-green-950);
    /*    position: fixed;*/
    width: 100%;
}

.header-image-fit {
    display: none;
}

#navbar ul {
    list-style: none;
    margin: 0;
}

.navbar {
    padding: 0; /*rimuovo padding di default di bootstrap*/
    position: relative;
    top: 0;
    z-index: 100;
    background-color: transparent;
}

.navbar-nav .nav-link.active, .navbar-nav .show > .nav-link {
    color: var(--color-white);
}

body.navbar-open {
    overflow: hidden; /*quando il menu mobile è aperto, blocca lo scroll della pagina*/
}

.navbar-collapse {
    /*    position: absolute;
    top: 75px;
    left: 0;
    right: 0;
    z-index: 9999;
    background-color: var(--color-green-950);*/
    /*    position: fixed;*/
    top: 100px;
    left: 0;
    right: 0;
    bottom: 0;
    height: calc(100vh - 100px);
    z-index: 9999;
    background-color: var(--color-green-950);
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
}

.custom-toggle .toggle-icon {
    transition: transform 0.4s;
    will-change: transform;
    transform-origin: center;
    backface-visibility: hidden;
    -webkit-backface-visibility: hidden;
}

    .custom-toggle .toggle-icon path {
        fill: var(--color-green-600) !important;
    }

.custom-toggle[aria-expanded="true"] .toggle-icon {
    transform: rotate(180deg);
}

.nav-link.dropdown-toggle {
    text-decoration: none !important;
}

    .nav-link.dropdown-toggle .label {
        text-decoration: underline;
    }

    .nav-link.dropdown-toggle::after {
        text-decoration: none !important;
        border: 0 !important;
        display: inline-block;
    }





.dropdown-toggle::after {
    display: inline-block;
    margin-left: var(--display-stacks-sm);
    content: "\f078"; /* chevron-down */
    font-family: "Font Awesome 6 Pro";
    font-size: var(--font-size-xs);
    border: none;
    transform: rotate(0deg);
    transition: transform 0.3s ease;
    text-decoration: none !important;
    text-decoration-line: none !important;
}

.megamenu {
    display: none;
    position: static;
    box-shadow: none;
    border: none;
    background: transparent;
    padding: var(--display-stacks-md) var(--display-stacks-lg);
}

/* BOX richiedi preventivo o demo */
.menu-box {
    background-color: var(--color-green-750);
    color: var(--color-white);
    padding: var(--display-stacks-md);
    border-radius: 12px;
    height: 100%;
}

    .menu-box a {
        font-size: var(--font-size-sm);
        text-decoration: underline;
    }

.menu-title {
    color: var(--color-text-inverse);
}

.submenu-link {
    color: var(--color-white);
    text-transform: none;
    font-size: var(--font-size-md);
    font-weight: normal;
    text-decoration: underline;
}

body.megamenu-open .nav-item.dropdown.open > .megamenu {
    display: block;
}

body.megamenu-open .nav-item.dropdown.open > .nav-link::after {
    transform: rotate(180deg);
}

/* DROPWOWN CAMBIO LINGUA */
header.padding-header,
.responsive-menu,
.navbar-collapse {
    overflow: visible !important;
}

.language-dropdown {
    position: relative;
    width: max-content;
}

    .language-dropdown .dropdown-menu {
        position: absolute !important;
        z-index: 1050;
        margin-top: 0.5rem;
    }

/*.dropdown-item {
    font-size: var(--font-size-xs);
}
    
    .dropdown-item.active,
    .dropdown-item.active {
        background-color: var(--color-green-900);
        font-size: var(--font-size-xs);
    }*/


@media all and (min-width: 1200px) {

    header {
        position: unset;
    }

    body.megamenu-hidden-by-scroll .megamenu {
        display: none !important;
    }

    .nav-toggler {
        display: none;
    }

    .navbar .has-megamenu {
        position: static !important;
    }

    .navbar-collapse {
        height: auto;
        position: relative;
        box-shadow: none;
        top: 0px;
        background-color: transparent;
    }

    .megamenu {
        display: none;
        height: auto;
        left: 0;
        right: 0;
        top: 140px;
        width: 100%;
        position: fixed;
        padding: var(--spacing-80);
        background: rgba(255, 255, 255, 0.8);
        box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
        backdrop-filter: blur(8.4px);
        -webkit-backdrop-filter: blur(8.4px);
        border: 1px solid rgba(255, 255, 255, 0.27);
    }

    .menu-box {
        padding: var(--display-stacks-xl);
        font-weight: bold;
    }

    .menu-title {
        color: var(--color-text-base);
    }

    a.nav-link:hover,
    a.nav-link:focus {
        font-size: var(--font-size-sm);
        color: var(--color-text-base);
        background-color: transparent;
    }

    body.megamenu-open .nav-item.dropdown.open > .megamenu {
        display: block;
    }

    body.megamenu-open .nav-item.dropdown.open > .nav-link::after {
        transform: rotate(180deg);
    }

    .submenu-link {
        color: var(--color-green-700);
        text-transform: none;
        font-weight: bold;
    }
}

@media (min-width: 1440px) {
    .header-image-fit {
        display: block;
        width: 200px;
        height: stretch;
        object-fit: cover;
        object-position: center;
        border-radius: 10px;
        transition: opacity 0.3s ease;
    }
}
